org.springframework.batch.core.step

## Class StepLocatorStepFactoryBean

- java.lang.Object
- - org.springframework.batch.core.step.StepLocatorStepFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<Step>

      public class StepLocatorStepFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<Step>

  Convenience factory for `Step` instances given a `StepLocator`. Most implementations of `Job` implement StepLocator, so that can be a good starting point.
  Author:
    Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `StepLocator` | `stepLocator`
    `java.lang.String` | `stepName`

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepLocatorStepFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Step` | `getObject()`
    `java.lang.Class<? extends Step>` | `getObjectType()` Tell clients that we are a factory for `Step` instances.
    `boolean` | `isSingleton()` Always return true as optimization for bean factory.
    `void` | `setStepLocator(StepLocator stepLocator)`
    `void` | `setStepName(java.lang.String stepName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stepLocator

          public StepLocator stepLocator

    - #### stepName

          public java.lang.String stepName

  - ### Constructor Detail

    - #### StepLocatorStepFactoryBean

          public StepLocatorStepFactoryBean()

  - ### Method Detail

    - #### setStepLocator

          public void setStepLocator(StepLocator stepLocator)

      Parameters:
        `stepLocator` - instance of `StepLocator` to be used by the factory bean.

    - #### setStepName

          public void setStepName(java.lang.String stepName)

      Parameters:
        `stepName` - the name to be associated with the step.

    - #### getObject

          public Step getObject()
                         throws java.lang.Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<Step>`
      Throws:
        `java.lang.Exception`
      See Also:
        `FactoryBean.getObject()`

    - #### getObjectType

          public java.lang.Class<? extends Step> getObjectType()

      Tell clients that we are a factory for `Step` instances.
      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Step>`
      See Also:
        `FactoryBean.getObjectType()`

    - #### isSingleton

          public boolean isSingleton()

      Always return true as optimization for bean factory.
      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Step>`
      See Also:
        `FactoryBean.isSingleton()`